> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getBlockDetails

> Returns data about a specific block



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getBlockDetails
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getBlockDetails:
    post:
      tags:
        - ZKSync API
      summary: zks_getBlockDetails
      description: Returns data about a specific block
      operationId: zks_getBlockDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getBlockDetails
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - 140599
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getBlockDetails
              params:
                - 140599
      responses:
        '200':
          description: Returns the block details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockDetailsResponse'
              example:
                jsonrpc: '2.0'
                result:
                  baseFeePerGas: '0x5f5e100'
                  commitTxHash: >-
                    0xd5a30a78d36b1a0a875abd4c0056113af33be4f2a669b07ab9b099ada5d869da
                  committedAt: '2023-10-18T14:00:33.546988Z'
                  executeTxHash: >-
                    0xa11e9442340271a4495234953ac1e2ae9acc8c39bcea656544ac201a57f806a4
                  executedAt: '2023-10-18T14:05:38.651462Z'
                  gasUsed: '0x0'
                  l1BatchNumber: '0x1'
                  l1TxCount: '0x0'
                  l2TxCount: '0x0'
                  number: '0x1'
                  operatorAddress: '0xfeea44bc2161f360272ce5bd0577b1c3cf5a1a47'
                  proveTxHash: >-
                    0x8d750a548c5c73132f9cb0e1e612a61531d2c4b636641c43c41d59fafd0a5a23
                  provenAt: '2023-10-18T14:03:11.398461Z'
                  rootHash: >-
                    0x51f81bcdfc324a0dff2b5bec9d92e21cbebc4d5e29d3a3d30de3e03fbeab8d7f
                  status: verified
                  timestamp: '0x651053b9'
                id: 1
components:
  schemas:
    BlockDetailsResponse:
      $ref: 78ac21d5-f89b-4ffe-8268-3671219dba4c

````